<?php
if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly
	
}

if (!function_exists('beatrix_theme_inline_style')):

	function beatrix_theme_inline_style()
	{

		wp_enqueue_style('beatrix-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');
		
		
		$theme_main_color = beatrix_get_option('theme_main_color');

		$custom_css = '';
		
		
		
		if (!empty($theme_main_color))
		{


			$custom_css .= ' .video-play-icon-wrap a, .post-meta-social a:hover, .footer-newsletter-wrapper input[type="submit"], .blog-post-comment .comment-respond .comment-form .btn-comments, .blog-sidebar .widget ul li::before, .wp-block-search .wp-block-search__button, .newsletter-box-wrapper input[type="submit"], .blog-sidebar .widget_block li.wp-block-latest-comments__comment::before, .theme-tags__wrapper a:hover, .widget_block.widget_search .wp-block-search__button:hover, .form-submit input[type=submit] {background-color: ' . esc_attr($theme_main_color) . '!important;}';

			$custom_css .= ' .post-meta-author-box a, .scrolltotop, .theme-blog-details ul li::marker, .nav-menu-wrapper .mainmenu ul li a:hover, a.tp-header__bars.tp-menu-bar:hover, .search-icon.theme-search-custom-iconn:hover, .blog-pagination-area ul.page-numbers li span.page-numbers, .blog-pagination-area ul.page-numbers li a.page-numbers:hover, .blog-pagination-area ul.page-numbers li a.next.page-numbers:hover i, .blog-sidebar .widget ul li a:hover, a.subscribe-btn:hover, .scrolltotop:hover i, .logo.theme-logo h1 a:hover {color: ' . esc_attr($theme_main_color) . '!important;}';

			$custom_css .= ' a.subscribe-btn, .blog-pagination-area ul.page-numbers li span.page-numbers, .wp-block-search .wp-block-search__button, .nav-menu-wrapper .mainmenu li ul.sub-menu, #theme-serach-box_Inner .theme-serach-box_inner_wrapper input, .theme-tags__wrapper a:hover, .blog-post-comment .comment-respond .comment-form .btn-comments:hover, .widget_block.widget_search .wp-block-search__button:hover, .form-submit input[type=submit], .form-submit input[type=submit]:hover {border-color: ' . esc_attr($theme_main_color) . '!important;}';
			

		}
		
		

	
		

		// Get Category Color for List Widget
		
		$categories_widget_color = get_terms('category');
		
        if ($categories_widget_color) {
            foreach( $categories_widget_color as $tag) {
				$tag_link = get_category_link($tag->term_id);
				$title_bg_Color = get_term_meta($tag->term_id, 'beatrix', true);
				$catColor = !empty( $title_bg_Color['cat-color'] )? $title_bg_Color['cat-color'] : '#3CFFD0';
				$custom_css .= '
					.cat-item-'.$tag->term_id.' span.post_count {background-color : '.$catColor.' !important;} 
				';
			}
        }	
		
		
	
				


		wp_add_inline_style('beatrix-custom-style', $custom_css);
	}
	add_action('wp_enqueue_scripts', 'beatrix_theme_inline_style');

endif;

