<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$beatrix_logo = beatrix_get_option( 'theme_logo' );
$beatrix_logo_id = isset($beatrix_logo['id']) && !empty($beatrix_logo['id']) ? $beatrix_logo['id'] : '';
$beatrix_logo_url = isset( $beatrix_logo[ 'url' ] ) ? $beatrix_logo[ 'url' ] : '';
$beatrix_logo_alt = get_post_meta($beatrix_logo_id,'_wp_attachment_image_alt',true);

$header_btn_text_subscribe = beatrix_get_option("header_btn_text_subscribe");
$header_btn_link_subscribe = beatrix_get_option("header_btn_link_subscribe");
$subscribe_btn_enable = beatrix_get_option('subscribe_btn_enable', true);

$search_bar_enable = beatrix_get_option('search_bar_enable', true);
$burger_menu_enable = beatrix_get_option('burger_menu_enable', true);
$lightmode_enable = beatrix_get_option('lightmode_enable', true);

$beatrix_header_social = beatrix_get_option('header_social_enable');
$beatrix_social_icon = beatrix_get_option( 'social-icon' );


?>

<!-- Start Header -->
<header id="theme-header-two" class="theme-header-main header-style-one">
    <div class="theme-header-area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-2">
                    <div class="logo theme-logo">
                    
                    <?php  
                    if ( has_custom_logo() || !empty( $beatrix_logo_url ) ) {
                        if( isset( $beatrix_logo['url'] ) && !empty( $beatrix_logo_url ) ) { 
                            ?>
                                <a href="<?php echo esc_url( site_url('/')) ?>" class="logo">
                                    <img class="img-fluid" src="<?php echo esc_url( $beatrix_logo_url ); ?>" alt="<?php echo esc_attr( $beatrix_logo_alt  ) ?>">
                                </a>
                            <?php 
                        } else {
                             the_custom_logo();
                        }

                    } else {
                        printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',esc_url(site_url('/')),esc_html(get_bloginfo('name')));
                    }
                    ?>

                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="nav-menu-wrapper">
                        <div class="beatrix-responsive-menu"></div>
                        <div class="mainmenu">
                            <?php
                                wp_nav_menu( array(
                                    'theme_location' => 'primary',
                                    'container' => 'nav',
                                    'container_class' => 'nav-main-wrap',
                                    'menu_class' => 'theme-navigation-wrap theme-main-menu',
                                    'menu_id'        => 'primary-menu',
                                    'fallback_cb'  => 'beatrix_fallback_menu',
                                ) );
                            ?>

                        </div>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="header-right-wrapper">

                        <?php if($search_bar_enable == true) :?>
                        <div class="header_search_wrap">
                            <div class="search-icon theme-search-custom-iconn">
                                <i class="icofont-search-1"></i>
                            </div>
                            <div id="theme-serach-box_Inner">
                                <div class="theme-serach-box_inner_wrapper d-flex align-items-center">
                                    <form role="search" method="get" id="searchform" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                        <div class="form-group">
                                            <input type="text" class="search-input" id="popup-search" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr_e('Type keywords here.....','beatrix'); ?>" />
                                        </div>
                                        <button type="submit" id="serach-popup-btn-box" class="search-button submit-btn"><i class="icofont-search-1"></i></button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if($lightmode_enable == true) :?>
                        <div class="mode-switcher">
                            <i class="ifont mode-icon-change"></i>
                        </div>
                        <?php endif; ?>

                        <?php if($subscribe_btn_enable == true) :?>
                        <div class="header-subscribe">
                            <a href="<?php echo esc_url($header_btn_link_subscribe); ?>" class="subscribe-btn">

                                <?php if ($header_btn_text_subscribe):
                                    echo esc_html($header_btn_text_subscribe);
                                else:
                                    echo esc_html__("Subscribe", "beatrix");
                                endif; ?>

                            </a>
                        </div>
                        <?php endif; ?>

                        <?php if($burger_menu_enable == true) :?>
                        <div class="header-burger-menu">
                            <div class="burger-nav-bar">
                                <a class="tp-header__bars tp-menu-bar" href="javascript:void(0)">
                                <i class="ri-menu-fill"></i>
                                </a>
                            </div>
                        </div>
                        <?php endif; ?>


                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- tp-offcanvus-area-start -->
<div class="tp-offcanvas-area">
    <div class="tpoffcanvas">
        <div class="tpoffcanvas__close-btn">
            <button class="close-btn"><i class="icofont-close"></i></button>
        </div>
        <div class="tpoffcanvas__logo offcanvas-logo">
            
            <?php  
                if ( has_custom_logo() || !empty( $beatrix_logo_url ) ) {
                    if( isset( $beatrix_logo['url'] ) && !empty( $beatrix_logo_url ) ) { 
                        ?>
                            <a href="<?php echo esc_url( site_url('/')) ?>" class="logo">
                                <img class="img-fluid" src="<?php echo esc_url( $beatrix_logo_url ); ?>" alt="<?php echo esc_attr( $beatrix_logo_alt  ) ?>">
                            </a>
                        <?php 
                    } else {
                         the_custom_logo();
                    }

                } else {
                    printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',esc_url(site_url('/')),esc_html(get_bloginfo('name')));
                }
            ?>

        </div>
        <div class="tpoffcanvas__text offcanvas-content">
            <div class="main-canvas-inner">
                <?php dynamic_sidebar( 'canvas-widget' ); ?>

                <?php if($beatrix_header_social == true) :?>

                <div class="panel-nav-social">
                    
                    <?php if (!empty($beatrix_social_icon)):
                    foreach ($beatrix_social_icon as $item): ?>

                      <a href="<?php echo esc_url($item["link"]); ?>">
                        <i class="<?php echo esc_attr($item["icon"]); ?>"></i>
                      </a>

                      <?php endforeach;
                    endif; ?>

                </div>
                
                <?php endif; ?>


            </div>
        </div>
    </div>
</div>
<div class="body-overlay"></div>
<!-- tp-offcanvus-area-end -->
