<?php 

$blog_single_cat = beatrix_get_option('blog_single_cat');
$blog_single_author= beatrix_get_option('blog_single_author', false);
$blog_single_navigation = beatrix_get_option('blog_nav');
$blog_single_related = beatrix_get_option('blog_related', false);
$blog_single_taglist = beatrix_get_option('blog_tags');
$blog_single_views = beatrix_get_option('blog_views');

?>


<div id="main-content" class="bloglayout__One main-container blog-single post-layout-style2 single-one-bwrap"  role="main">
	<div class="container">
		<div class="row single-blog-content">

		<div class="<?php if(is_active_sidebar('sidebar-1')) { echo "col-lg-8"; } else { echo "col-lg-12";}?> col-md-12">
		<?php while (have_posts()):
		the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(["post-content", "post-single"]); ?>>

				<div class="post-single-wrapper">

					<?php if($blog_single_cat == true) :?>
						<div class="post-cat-box">
							<?php require BEATRIX_THEME_DIR . '/template-parts/cat-alt-template.php'; ?>
						</div>
					<?php endif; ?>

                    <h1 class="post-title">
                        <?php the_title(); ?>
                    </h1>

                    <?php
					    $my_excerpt = get_the_excerpt();

					    if($my_excerpt !='') { ?>
					        <div class="blog-small-excerpt-box">
		                        <p><?php echo esc_html( wp_trim_words($my_excerpt, 19 ,'') );?></p>
		                    </div>
					    <?php } 
					?>
					
                    <div class="post-bottom-meta-list post-meta-wrapper">
                        <div class="post-left-details-meta">
                            <div class="post-meta-author-box">
                                <?php esc_html_e('By', 'beatrix'); ?> <?php echo get_the_author_link(); ?>
                            </div>
                            <div class="post-meta-date-box">
                                <?php echo esc_html( get_the_date( 'F j, Y' ) ); ?>
                            </div>
                        </div>
                        <div class="post-meta-social">
                            <a href="#"><i class="icofont-link"></i></a>
                            <a href="#"><i class="fab fa-facebook-f"></i></a>
                            <a href="#"><i class="fab fa-twitter"></i></a>
                            <a href="#"><i class="fab fa-linkedin-in"></i></a>
                        </div>
                    </div>
                </div>
							
				<div class="theme-blog-details">
				
				<?php if ( has_post_thumbnail() && !post_password_required() ) : ?>
				<div class="post-featured-image">
				<?php if(get_post_format()=='video'): ?>
					<?php get_template_part( 'template-parts/single/post', 'video' ); ?>  
					<?php else: ?>
					<img class="img-fluid" src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" alt="<?php the_title_attribute(); ?>">
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<div class="post-body clearfix single-blog-header single-blog-inner blog-single-block blog-details-content">
					<!-- Article content -->
					<div class="entry-content clearfix">
						
						<?php
						if ( is_search() ) {
							the_excerpt();
						} else {
							the_content();
							beatrix_link_pages();
						}
						?>
						
					<?php if(has_tag() && $blog_single_taglist == true ) : ?>
					<div class="post-footer clearfix theme-tag-list-wrapp">
						<?php beatrix_single_post_tags(); ?>
					</div>
					 
					<?php endif; ?>	

					</div>
				</div>
				
				</div>
							
			</article>
					   
				<?php if($blog_single_author == true) :?>
					<?php beatrix_theme_author_box(); ?>
				<?php endif; ?>
			   
				<?php if($blog_single_navigation == true) :?>
					<?php beatrix_theme_post_navigation(); ?>
				<?php endif; ?>

				<?php comments_template(); ?>
				<?php endwhile; ?>
			</div>
					
			<?php get_sidebar(); ?>

		</div>
		
		<?php if($blog_single_related == true) :?>
		<div class="theme_related_posts_Wrapper related-posts-wrapper">
			
			<div class="row">
				<div class="col-md-12">
					<?php get_template_part('template-parts/single/related', 'posts'); ?>
				</div>
			</div>
			
		</div>
		<?php endif; ?>
	</div> 
	
</div>






